API reference
List scored people
Everyone the search scored, best first, with their full profile. Does not use shortlist credits.
Needs scope shortlists:read.
GET
/
searches
/
{searchId}
/
people
List scored people
curl --request GET \
--url https://api.revcenter.ai/v1/searches/{searchId}/people \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revcenter.ai/v1/searches/{searchId}/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revcenter.ai/v1/searches/{searchId}/people"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"total": 123,
"people": [
{
"id": "<string>",
"name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"title": "<string>",
"company": "<string>",
"location": "<string>",
"headline": "<string>",
"linkedin_url": "<string>",
"score": 123,
"fit": {},
"signals": [
{
"key": "<string>",
"label": "<string>"
}
],
"on_shortlist": true,
"profile": {}
}
]
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}Authorizations
An API key from Settings → Usage → API (rvc_live_…).
Path Parameters
A search id
Query Parameters
Only people at or above this score
Up to 500 (default 100)
false to leave profiles out
Available options:
false ⌘I
List scored people
curl --request GET \
--url https://api.revcenter.ai/v1/searches/{searchId}/people \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revcenter.ai/v1/searches/{searchId}/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revcenter.ai/v1/searches/{searchId}/people"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"total": 123,
"people": [
{
"id": "<string>",
"name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"title": "<string>",
"company": "<string>",
"location": "<string>",
"headline": "<string>",
"linkedin_url": "<string>",
"score": 123,
"fit": {},
"signals": [
{
"key": "<string>",
"label": "<string>"
}
],
"on_shortlist": true,
"profile": {}
}
]
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
},
"meta": {
"request_id": "<string>"
}
}